Bug 104821 - Reported Free BSD Makefile issue at rpm-4.2.1
Reported Free BSD Makefile issue at rpm-4.2.1
Status: CLOSED NEXTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-22 12:29 EDT by R P Herrold
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-27 10:59:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2003-09-22 12:29:48 EDT
Date: Mon, 22 Sep 2003 17:58:32 +0200
From: Armijn Hemel <armijn@deepthought.geo.uu.nl>
Reply-To: rpm-list@redhat.com
 tried to build various instances of RPM 4.2 on FreeBSD, but it failed
with the following error:

...
config.status: creating db_config.h
"/tmp/rpm-4.2/db3/Makefile", line 408: Need an operator
make: fatal errors encountered -- cannot continue
configure: error: /usr/local/bin/bash './configure' failed for db3

That particular line in the Makefile reads:

.PHONY: listobjs
listobjs:
@echo $(OBJS) $(C_OBJS)

As you can see a tab character is missing. On Linux this doesn't happen.
I think the sed expression in the configure script in the db3 directory
returns a different result on FreeBSD than it does on Linux.
he attached patch makes the configure work on FreeBSD. I tested it on
Linux (Red Hat 9) as well, but it never hurts if someone could verify
it. The Red Hat bugzilla system was a bit unclear of where I should file
this bug so I'm using the mailinglist instead...

I need some of the RPM functionality (Python bindings) on my FreeBSD
system, so it would be great if this patch could be applied...

==============================================================

diff -ruN rpm-4.2.1.old/db3/configure rpm-4.2.1/db3/configure
--- rpm-4.2.1.old/db3/configure 2002-12-20 15:36:49.000000000 +0100
+++ rpm-4.2.1/db3/configure     2003-09-22 15:40:30.000000000 +0200
@@ -15,7 +15,7 @@
 cat Makefile.orig | sed -e '/^install[:-]/c\
 .PHONY: listobjs\
 listobjs:\
-       @echo $(OBJS) $(C_OBJS) \
+\      @echo $(OBJS) $(C_OBJS) \
 \
 distdir install check:\
 \






escription of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Johnson 2003-12-27 10:59:38 EST
Added in CVS, should be in rpm-4.2.2-0.8 and later.

Note You need to log in before you can comment on or make changes to this bug.